SOLVED: Cannot upgrade from Stretch 9.1 to 9.2

Kernels & Hardware, configuring network, installing services

SOLVED: Cannot upgrade from Stretch 9.1 to 9.2

Postby xanadu18 » 2017-10-09 01:02

Code: Select all
# apt-get update && apt-get dist-upgrade
gn:1 http://ftp.ca.debian.org/debian stretch InRelease
Hit:2 http://ftp.ca.debian.org/debian stretch Release                                             
Hit:3 http://security.debian.org/debian-security stretch/updates InRelease                         
Hit:4 http://ftp.debian.org/debian stretch-backports InRelease
Reading package lists... Done                     
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


However, Stretch does not want to be upgraded to 9.2, it seems:

Code: Select all
cat /etc/debian_version
[b]9.1[/b]


Any ideas? Thanks for your help

:(
Last edited by xanadu18 on 2017-10-10 11:14, edited 1 time in total.
xanadu18
 
Posts: 30
Joined: 2013-12-17 17:33

Re: Cannot upgrade from Stretch 9.1 to 9.2

Postby arzgi » 2017-10-09 07:42

You need stretch-updates in /etc/apt/sources.list
arzgi
 
Posts: 79
Joined: 2008-02-21 17:03
Location: Finland

Re: Cannot upgrade from Stretch 9.1 to 9.2

Postby xanadu18 » 2017-10-09 20:25

Thanks for your reply. I have never had to update /etc/apt/sources.list.

Code: Select all
sudo apt-get update && sudo apt-get dist-upgrade

...

Code: Select all
uname -r
4.9.0-[b]4[/b]-amd64


Should have shown Debian 9.2 with the above kernel. However:

Code: Select all
cat /etc/debian_version
9.[b]1[/b]


???
xanadu18
 
Posts: 30
Joined: 2013-12-17 17:33

Re: Cannot upgrade from Stretch 9.1 to 9.2

Postby roseway » 2017-10-09 21:11

You're wrong to think of this as a version upgrade. It's just part of a continuous process of serious bug fixing and security updates. I've been using Stretch since about 2 weeks before its official release, and I've never used dist-upgrade. Whenever the update notifier informs me that updates are available I use 'apt update' and 'apt upgrade', and it now reports itself as version 9.2.
Eric
User avatar
roseway
 
Posts: 1481
Joined: 2007-12-31 22:50
Location: Kent, UK

Re: Cannot upgrade from Stretch 9.1 to 9.2

Postby RU55EL » 2017-10-09 22:53

What is the output of:
Code: Select all
inxi -r


This computer is:
Code: Select all
russel@NUC-G:~$ inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://deb.debian.org/debian/ stretch main
           deb http://deb.debian.org/debian/ stretch-updates main
           deb http://security.debian.org/ stretch/updates main

The system version:
Code: Select all
russel@NUC-G:~$ cat /etc/debian_version && uname -r
9.2
4.9.0-4-amd64


I keep the system update with:
Code: Select all
russel@NUC-G:~$ sudo apt update && sudo apt upgrade
Ign:1 http://deb.debian.org/debian stretch InRelease
Hit:2 http://deb.debian.org/debian stretch-updates InRelease
Hit:3 http://security.debian.org stretch/updates InRelease               
Hit:4 http://deb.debian.org/debian stretch Release                       
Reading package lists... Done                     
Building dependency tree       
Reading state information... Done
All packages are up to date.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


I'm wondering if you have a problem with your sources.list entries.

[edit]
roseway wrote:[...] I've never used dist-upgrade. [...] I use 'apt update' and 'apt upgrade', and it now reports itself as version 9.2.

I have also never used dist-upgrade.

[/edit]
User avatar
RU55EL
 
Posts: 329
Joined: 2014-04-07 03:42
Location: /home/russel

Re: Cannot upgrade from Stretch 9.1 to 9.2

Postby sunrat » 2017-10-09 23:02

From https://www.debian.org/News/2017/20171007
As a special case for this point release, those using the "apt-get" tool
to perform the upgrade will need to ensure that the "dist-upgrade"
command is used, in order to update to the latest kernel packages. Users
of other tools such as "apt" and "aptitude" should use the "upgrade"
command.

Miscellaneous Bugfixes
----------------------
Due to an oversight while preparing the point release, the usual
update to the "base-files" package to reflect the new version was
unfortunately not included. An updated package will be made available
via "stretch-updates" in the near future.


This has been fixed according to another post in this forum. Just upgrade (or dist-upgrade if using apt-get) again.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 2052
Joined: 2006-08-29 09:12
Location: Melbourne, Australia

Re: Cannot upgrade from Stretch 9.1 to 9.2

Postby xanadu18 » 2017-10-09 23:29

Code: Select all
$ inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://ftp.ca.debian.org/debian stretch main contrib non-free
           deb-src http://ftp.ca.debian.org/debian stretch main contrib non-free
           deb http://security.debian.org/debian-security stretch/updates main contrib non-free
           deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free
           deb http://ftp.debian.org/debian stretch-backports main


Code: Select all
sudo apt-get update && sudo apt-get dist-upgrade
Ign:1 http://ftp.ca.debian.org/debian stretch InRelease
Hit:2 http://ftp.ca.debian.org/debian stretch Release                         
Hit:3 http://security.debian.org/debian-security stretch/updates InRelease   
Hit:4 http://ftp.debian.org/debian stretch-backports InRelease         
Reading package lists... Done                     
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.



:?:
xanadu18
 
Posts: 30
Joined: 2013-12-17 17:33

Re: Cannot upgrade from Stretch 9.1 to 9.2

Postby xanadu18 » 2017-10-10 00:58

Hello all,

PROBLEM SOLVED!

1. Edited /etc/apt/sources.list

Add:

Code: Select all
deb  http://ftp.ca.debian.org/debian stretch-updates main contrib non-free
deb src  http://ftp.ca.debian.org/debian stretch-updates main contrib non-free


Revise:

Code: Select all
deb http://security.debian.org/ stretch/updates main contrib non-free     
deb-src http://security.debian.org/ stretch/updates main contrib non-free


Code: Select all
sudo apt-get update && sudo apt-get dist-upgrade


Code: Select all
The following packages will be upgraded:
  base-files


Code: Select all
Preparing to unpack .../base-files_9.9+deb9u2_amd64.deb ...
Unpacking base-files (9.9+deb9u2) over (9.9+deb9u1) ...
Setting up base-files (9.9+deb9u2) ...
Installing new version of config file /etc/debian_version ...
Processing triggers for install-info (6.3.0.dfsg.1-1+b2) ...


Code: Select all
cat /etc/debian_version
9.2


Voila!
xanadu18
 
Posts: 30
Joined: 2013-12-17 17:33

Re: SOLVED: Cannot upgrade from Stretch 9.1 to 9.2

Postby wanamarl » 2017-11-16 16:55

What worked for me was this:
apt-get -t stretch-updates update && apt-get -t stretch-updates dist-upgrade
Two packages, "base-files" and "tzdata", were then listed to upgrade.
If instead I typed:
apt-get -t stretch-updates update && apt-get -t stretch-updates dist-upgrade base-files
only "base-files" would be upgraded, which changes version 9.1 to 9.2.
"base-files" selected (9.9+deb9u2) over (9.9+deb9u1)
cat /etc/debian_version
9.2

I have both "stretch-updates" and "stretch-backports" listed separately in the searches.list
file. Also in the Security section I list "stretch/updates" to make sure they are always updated.
Looks like with this upgrade "base-files" was not part of security packages??
wanamarl
 
Posts: 1
Joined: 2017-11-16 15:40

Re: SOLVED: Cannot upgrade from Stretch 9.1 to 9.2

Postby sunrat » 2017-11-16 23:41

wanamarl wrote:What worked for me was this:
apt-get -t stretch-updates update && apt-get -t stretch-updates dist-upgrade

The "-t stretch-updates " bit is superfluous. dist-upgrade should do the same thing without it.

Looks like with this upgrade "base-files" was not part of security packages??

I don't think it's a security related package. More an essential informational package.
“ computer users can be divided into 2 categories:
Those who have lost data
...and those who have not lost data YET ”
Remember to BACKUP!
User avatar
sunrat
 
Posts: 2052
Joined: 2006-08-29 09:12
Location: Melbourne, Australia


Return to System configuration

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable